{ mkDerivation, attoparsec, base, bytestring, conduit
, conduit-extra, containers, criterion, filepath, hedgehog
, hedgehog-corpus, HUnit, lens, lib, mtl, optparse-applicative
, tasty, tasty-hedgehog, tasty-hunit, text, vector
}:
mkDerivation {
  pname = "addressbook";
  version = "0.1.0.0";
  src = ./.;
  isLibrary = true;
  isExecutable = true;
  libraryHaskellDepends = [
    attoparsec base bytestring conduit conduit-extra containers
    filepath lens mtl text vector
  ];
  executableHaskellDepends = [
    base criterion hedgehog-corpus optparse-applicative text
  ];
  testHaskellDepends = [
    base bytestring conduit conduit-extra containers hedgehog
    hedgehog-corpus HUnit tasty tasty-hedgehog tasty-hunit text vector
  ];
  license = lib.licenses.bsd3;
}
