module Main (main) where

import Test.Tasty

import qualified Test.Data.Email as Data.Email
import qualified Test.Data.Email.Header as Data.Email.Header
import qualified Test.Data.Trie as Data.Trie

tests :: TestTree
tests = testGroup "tests"
  [ Data.Email.Header.tests
  , Data.Email.tests
  , Data.Trie.tests
  ]

main :: IO ()
main = defaultMain tests
